#if !defined(AFX_PRPOBJFIGUREARROW_H__A2C22E33_084D_11D3_AD14_00C0F6B0E2D0__INCLUDED_)
#define AFX_PRPOBJFIGUREARROW_H__A2C22E33_084D_11D3_AD14_00C0F6B0E2D0__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// ProObjFigureArrow.h : _xZkqqHx_iDhHiDgCiDfPiBfL_xHqqkZx_ _xZkqqHx_iDhEiDeAiDeDiDiL_xHqqkZx_
//

#include "StcBorder.h"		// For CFCStcBorder.
#include "StcArrow.h"		// For CFCStcArrow.
#include "ProObjFigureArrowSub.h"
#include "ProObjProperty.h"	// Superclass.

#ifdef SUPER_CLASS
#undef SUPER_CLASS
#endif
#define SUPER_CLASS CFCProObjProperty

/////////////////////////////////////////////////////////////////////////////
// CFCProObjFigureArrow _xZkqqHx_iDfPiDeDiDeBiDiNiDeP_xHqqkZx_

class CFCProObjFigureArrow : public SUPER_CLASS
{
protected:
typedef SUPER_CLASS BASE_CLASS;

	DECLARE_DYNCREATE(CFCProObjFigureArrow)

// _xZkqqHx_iDfCiDjDiDfIiDgHiDiJiDeOiDfGiDiHiDjD_xHqqkZx_
public:
	CFCProObjFigureArrow();
	~CFCProObjFigureArrow();

// _xZkqqHx_iDfPiDeDiDeBiDiNiDeP_xHqqkZx_ _xZkqqHx_iDgGiBfLiDfO_xHqqkZx_
	//{{AFX_DATA(CFCProObjFigureArrow)
	enum { IDD = IDD_PRO_FIGURE_ARROW };
	CFCStcBorder	m_stcBorder1;
	CComboBox	m_cmbArrowBParam1;
	CComboBox	m_cmbArrowBParam0;
	CComboBox	m_cmbArrowFParam1;
	CComboBox	m_cmbArrowFParam0;
	CFCStcArrow	m_staBSample;
	CFCStcArrow	m_staFSample;
	//}}AFX_DATA

CFCPROOBJFIGUREARROW

// _xZkqqHx_iDeJiBfLiDgPiBfLiDiJiDeDiDgI_xHqqkZx_
	// ClassWizard _xZkqqHx_iCmNiJlMjBhKiKnGjAjEiCmMiDeJiBfLiDgPiBfLiDiJiDeDiDgIiCpAjAlGjAkMiClFiCnMiClHiBeC_xHqqkZx_

	//{{AFX_VIRTUAL(CFCProObjFigureArrow)
	public:
	virtual void OnOK();
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV _xZkqqHx_iDfEiDhMiBfLiDgH_xHqqkZx_
	//}}AFX_VIRTUAL

// _xZkqqHx_iDeDiDjDiDhGiDiKiDiBiDjDiDgFiBfLiDfGiDiHiDjD_xHqqkZx_
protected:
	// _xZkqqHx_jAlGjAkMiClDiCoKiClNiDiBiDgCiDfKiBfLiDfH_xHqqkZx_ _xZkqqHx_iDhNiDgCiDhGiKnGjAjE_xHqqkZx_
	//{{AFX_MSG(CFCProObjFigureArrow)
	virtual BOOL OnInitDialog();
	afx_msg void OnSelchangeFg4CmbArrowFType();
	afx_msg void OnSelchangeFg4CmbArrowFParam0();
	afx_msg void OnSelchangeFg4CmbArrowFParam1();
	afx_msg void OnSelchangeFg4CmbArrowFParam2();
	afx_msg void OnSelchangeFg4CmbArrowBType();
	afx_msg void OnSelchangeFg4CmbArrowBParam0();
	afx_msg void OnSelchangeFg4CmbArrowBParam1();
	afx_msg void OnSelchangeFg4CmbArrowBParam2();
	afx_msg void OnDialogInitValue();
	afx_msg HBRUSH OnCtlColor(CDC* pDC, CWnd* pWnd, UINT nCtlColor);
	afx_msg void OnFg4BtnSelectFPictArrow();
	afx_msg void OnFg4BtnSelectBPictArrow();
	afx_msg void OnDeltaposFg4SpnFSample(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnDeltaposFg4SpnBSample(NMHDR* pNMHDR, LRESULT* pResult);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ _xZkqqHx_iCmNjBePiNhDiCmMjClMjBePiCmJjCmHiJmBiCmMjAoJiMlOiCpAjBhNjDpMiClFiCnMiClHiBeC_xHqqkZx_

#endif // !defined(AFX_PRPOBJFIGUREARROW_H__A2C22E33_084D_11D3_AD14_00C0F6B0E2D0__INCLUDED_)
